Skip to main content
GET
/
v1
/
agent-analytics
/
logs
/
{id}
Get Call Log by ID
curl --request GET \
  --url https://api.tryhamsa.com/v1/agent-analytics/logs/{id} \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "data": {
    "id": "8b4c8c7d-8b4c-4c7d-8b4c-4c7d8b4c7d8b",
    "type": "ERROR",
    "category": "call",
    "nodeId": "node_id",
    "message": "Error message",
    "payload": {},
    "timestamp": "2023-07-01T00:00:00.000Z",
    "jobId": "8b4c8c7d-8b4c-4c7d-8b4c-4c7d8b4c7d8b",
    "createdAt": "2023-07-01T00:00:00.000Z",
    "updatedAt": "2023-07-01"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

id
string<uuid>
required

The unique identifier of the call log record.

Example:

"48f7656f-098b-4c43-b165-7cfd2cc8ac30"

Response

Successful response

success
boolean
Example:

true

data
object